Bug 229624 - something on top of an opengl window causes system crash
something on top of an opengl window causes system crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-22 03:00 EST by Jay
Modified: 2009-01-09 02:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:04:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mock screenshot (89.77 KB, image/png)
2007-02-22 03:00 EST, Jay
no flags Details
/etc/X11/xorg.conf (628 bytes, text/plain)
2007-03-08 03:23 EST, Jay
no flags Details
/var/log/Xorg.0.log before I remove /etc/X11/xorg.conf (67.74 KB, text/plain)
2007-03-08 03:27 EST, Jay
no flags Details
/var/log/Xorg.0.log after I remove /etc/X11/xorg.conf and reboot (68.97 KB, text/plain)
2007-03-08 03:41 EST, Jay
no flags Details

  None (edit)
Description Jay 2007-02-22 03:00:02 EST
Description of problem: (see mock screenshot)
The KDE panel has a clock on it which will pop up the date, time, and timezone
if you hover your mouse over the clock.
If you have an OpenGL window open near the clock and then hover your mouse over
the clock, then when the expanded format of the date and time pop up, it does so
over the OpenGL window.
This causes the system to crash, no response to keyboard or mouse.

Version-Release number of selected component (if applicable):
xorg-x11-server 1.1.1-47.5.fc6

How reproducible:
Everytime, with all opengl apps tried


Steps to Reproduce:
1.place an OpenGL window near the clock (window only, not a problem in fullscreen)
2.hover mouse over clock

  
Actual results:
Monitor goes black, looks like it is changing video modes, no keyboard or mouse
response.


Expected results:
System should not crash. Date should be painted over the opengl window 


Additional info:
Onboard Intel graphics GMA3000X, G965 chipset
Comment 1 Jay 2007-02-22 03:00:02 EST
Created attachment 148560 [details]
mock screenshot
Comment 2 Matěj Cepl 2007-03-07 10:07:40 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Jay 2007-03-08 03:23:34 EST
Created attachment 149553 [details]
/etc/X11/xorg.conf
Comment 4 Jay 2007-03-08 03:27:24 EST
Created attachment 149554 [details]
/var/log/Xorg.0.log before I remove /etc/X11/xorg.conf
Comment 5 Jay 2007-03-08 03:41:52 EST
Created attachment 149555 [details]
/var/log/Xorg.0.log after I remove /etc/X11/xorg.conf and reboot
Comment 6 Adam Jackson 2007-03-08 11:02:06 EST
How crashed is crashed?  Does the machine still respond to network traffic when
this occurs?
Comment 7 Jay 2007-05-03 20:51:34 EDT
(In reply to comment #6)
> How crashed is crashed?  Does the machine still respond to network traffic when
> this occurs?

No keyboard or mouse response.

Ctrl + Alt + F1  does not work

Only one machine here, not sure about responding to network.

Comment 8 Bug Zapper 2008-04-03 15:14:02 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Jay 2008-04-03 20:56:08 EDT
Still occurs in Fedora 8

*** This time it painted the time + date over the Supertux game window, and it
looked like it was not going to crash, and in my excitement I hovered over the
date and time again, and then it crashed.

- should be easy to duplicate: check out the screenshot that was attached
originally (supertux is an example of a program you could use to position near
the clock and crash the system)

- In my original description I simply said "...place an OpenGL window...". Just
to clarify, I discovered this problem with a very simple OpenGL program I was
using. The bug is not restricted to a fancy game like supertux, but will crash
over a simple 3d cube.
Comment 10 Bug Zapper 2008-11-26 02:11:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:04:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.